Skip to main content
GET
Get Asset

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

asset_id
string<uuid>
required

The ID of the asset to get

Response

Successful Response

API response schema for asset entity

id
string<uuid>
required
type
enum<string>
required

Type of the asset (video, image, etc)

Available options:
video,
image,
audio,
document,
vector,
other
name
string
required
size_bytes
integer
required
mime_type
string
required
save_original
boolean
required
is_uploaded
boolean
required
user_id
string<uuid>
required
workspace_id
string<uuid>
required

ID of the workspace this asset belongs to

project_id
string<uuid>
required

ID of the project this asset belongs to

parent_id
string<uuid>
required

ID of the parent resource (directory or project)

comment_count
integer
required

Total number of visible comments on this asset, including replies

created_by_user_id
string<uuid>
required

ID of the user that created the asset

created
string<date-time>
required
updated
string<date-time>
required

True when this item is a projected symlink

target_path
string[] | null

Symlink target path components

target_path_type
enum<string> | null

Symlink target path type

Available options:
relative,
internal_absolute,
external_absolute
target_resource_id
string<uuid> | null

Resolved target resource ID

target_resource_name
string | null

Resolved target resource name

target_resource_type
enum<string> | null

Resolved or hinted target resource type

Available options:
workspace,
project,
directory,
asset,
symlink,
collection
target_resolution_status
enum<string> | null

Symlink resolution status

Available options:
resolved,
dangling,
permission_denied,
external
duration
number | null

Duration in seconds for time-based assets. NULL for non-time-based assets.

page_count
integer | null

Number of pages for document assets. NULL for non-document assets.

path
string[] | null

Original file path for the asset (e.g., ['path', 'to', 'file.mov'])

features
FeatureStateMapResponse · object | null

Admin-only feature state diagnostics for this asset

actions
integer | null
stream_proxy
ProxyDeliveryGetResponse · object

API response schema for in-app proxy playback URLs.

scrub_proxy
ProxyDeliveryGetResponse · object

API response schema for in-app proxy playback URLs.

audio_proxy
ProxyDeliveryGetResponse · object

API response schema for in-app proxy playback URLs.

doc_proxy
ProxyDeliveryGetResponse · object

API response schema for in-app proxy playback URLs.

scrub_preview
PreviewDeliveryGetResponse · object

API response schema for in-app preview rendering URLs.

preview
PreviewDeliveryGetResponse · object

API response schema for in-app preview rendering URLs.

created_by_user
UserInfo · object | null

User who created this asset

client_performed_at
string<date-time> | null

Server-recorded timestamp of the latest user action on this asset, flattened from the asset's current revision. NULL when no revision exists. Used by the desktop renderer to compare against a per-pin coverage cursor.

version_stack_id
string<uuid> | null

Version stack ID. NULL if not in a stack.

version_number
integer | null

1-indexed position in version stack. NULL if not in a stack.

is_top_version
boolean | null

TRUE for top version in stack. NULL if not in a stack.

revision_id
string<uuid> | null

ID of the revision created by this operation (set on rename/move)

is_latest
boolean | null

Whether the revision is the overall latest (set on rename/move)